<?php
/**
 * Настройки модуля
 *
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.4
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2014 OOO «Диафан» (http://diafan.ru)
 */

if (!defined('DIAFAN')) {
    include realpath(dirname(__FILE__) . '/../_diafan_check.php');
}

class Ubrr_admin_certificate_upload extends Frame_admin
{
    public $result;

    /**
     * Выводит контент модуля
     *
     * @return void
     */
    public function show()
    {
        $this->result = Array('responseIsSuccess' => false);

        include_once realpath(dirname(__FILE__) . '/../_load_ubrr_classes.php');

        $MAX_FILE_SIZE = 5000;

        $connector = new \UBRIR\Diafan\DiafanConnector($this->diafan);
        $panel = new UBRIR\GatewayInteractionPanel();
        $panel->ConnectToCMS($connector);

        $shopId = $connector->GetShopId();

        if ($shopId) {
            $panel->ServerConnectionConfig();
            $privateCert = $panel->getPrivateCertificateFile();
            $this->result['privateCert'] = $privateCert;
        }

        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            $this->result['requestMethod'] = 'POST';

            $certificateGenerator = $panel->GetCertificateGenerator();

            $destination = $certificateGenerator->getNewPublicCertificateFilePath();

            $responseData = new UBRIR\DataContainer();

            if (move_uploaded_file($_FILES['new_public_certificate']['tmp_name'], $destination)) {
                $responseData = $certificateGenerator->TestAndReplaceWithNewCertificates();
            } else {
                $responseData->AddError('Не удалось переместить загруженный сертификат. Обратитесь к администратору');
            }

            $this->result['responseIsSuccess'] = $responseData->isSuccess();

        } else {
            $this->result['requestMethod'] = 'GET';
        }


        echo $this->diafan->_tpl->get('certificate_upload', 'ubrr', $this->result);
    }
}