<?php
/**
 * Редактирование статей
 *
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.4
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2014 OOO «Диафан» (http://diafan.ru)
 */
if (!defined('DIAFAN')) {
    include realpath(dirname(__FILE__) . '/../_diafan_check.php');
}

/**
 * Ubrr_admin_orders
 */
class Ubrr_admin_orders extends Frame_admin
{
    public $result;
    /**
     * @var string таблица в базе данных
     */
    public $table = 'ubrr_twpg_orders';

    /**
     * @var array настройки модуля
     */
    public $config = array(
        'order', // сортируется
    );

    /**
     * @var array списки из таблицы
     */
    public $select = array(
        'user_id' => array(
            'id',
            'diafan_order_id',
            'twpg_order_id',
            'twpg_session_id'
        ),
    );

    /**
     * Подготавливает конфигурацию модуля
     * @return void
     */
    public function prepare_config()
    {
        if (!empty($_GET['user'])) {
            $this->diafan->where = "";
        }
    }

    /**
     * Выводит контент модуля
     *
     * @return void
     */
    public function show()
    {
        include_once realpath(dirname(__FILE__) . '/../_load_ubrr_classes.php');

        // данные будем кэшировать
        $cache_meta = array(
            "name" => "list", // метка кэша
            "page" => $this->diafan->_route->page > 1 ? $this->diafan->_route->page : 1,
        );

        // если данных нет в кэше занесем их

        /*
        if (!$this->result = $this->diafan->_cache->get($cache_meta, 'ubrr_twpg_orders'))
        {
        */
        $this->result = array();

        $connector = new \UBRIR\Diafan\DiafanConnector($this->diafan);
        $diafanAdmin = new \UBRIR\Diafan\GatewayAdmin($connector);

        $responseData = $diafanAdmin->GetOrders($cache_meta['page']);
        $arResult = $responseData->GetResultArray();
        $this->result['orders'] = $arResult['order_list'];

        $diafanPaginator = $diafanAdmin->GetPaginator();
        $this->result["paginator"] = $this->diafan->_tpl->get('get', 'paginator', $diafanPaginator);
        /*
            //сохранение кэша
            $this->diafan->_cache->save($this->result, $cache_meta, 'ubrr_twpg_orders');
        }*/

        echo $this->diafan->_tpl->get('orders', 'ubrr', $this->result);
    }
}