<?php
/**
 * Редактирование статей
 *
 * @package    Diafan.CMS
 * @author     diafan.ru
 * @version    5.4
 * @license    http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2014 OOO «Диафан» (http://diafan.ru)
 */
if (!defined('DIAFAN')) {
    include realpath(dirname(__FILE__) . '/../_diafan_check.php');
}

/**
 * Ubrr_admin
 */
class Ubrr_admin extends Frame_admin
{
    public $result;
    /**
     * @var string таблица в базе данных
     */
    public $table = 'ubrr_twpg_orders';

    /**
     * @var array настройки модуля
     */
    public $config = array(
        'order', // сортируется
    );

    /**
     * @var array списки из таблицы
     */
    public $select = array(
        'user_id' => array(
            'id',
            'diafan_order_id',
            'twpg_order_id',
            'twpg_session_id'
        ),
    );

    /**
     * Подготавливает конфигурацию модуля
     * @return void
     */
    public function prepare_config()
    {
        if (!empty($_GET['user'])) {
            $this->diafan->where = "";
        }
    }

    /**
     * Выводит контент модуля
     *
     * @return void
     */
    public function show()
    {
        include_once realpath(dirname(__FILE__) . '/../_load_ubrr_classes.php');

        $connector = new \UBRIR\Diafan\DiafanConnector($this->diafan);
        $adminPanel = new \UBRIR\Diafan\GatewayAdmin($connector);
        $panel = $adminPanel->GetGatewayPanel();

        $shopId = $connector->GetShopId();
        $this->result['certPass'] = $connector->GetPrivateCertificatePassword();
        $workMode = $connector->GetWorkMode();
        $this->result['isTestMode'] = ($workMode == \UBRIR\WorkMode::Test);
        $this->result['strCertificateCreationDate'] = $connector->GetCertificateCreateDate();

        $publicCert = false;
        $privateCert = false;
        if ($shopId) {
            $panel->ServerConnectionConfig();
            $privateCert = $panel->getPrivateCertificateFile();
            $publicCert = $panel->getPublicCertificateFile();

            $this->result['shopId'] = $shopId;
            $this->result['publicCert'] = $publicCert;
            $this->result['privateCert'] = $privateCert;

        }

        $logData = $adminPanel->GetLog()->GetResultArray();
        $logRecords = $logData['log_records'];

        $logErrors = 0;
        foreach ($logRecords as $record) {

            if ($record['errors'] !== '') {
                $logErrors += 1;
            }
        }
        $this->result['logErrors'] = $logErrors;

        if (!$publicCert || !$privateCert) {
            $this->result['validPrivateFilesArray'] = $panel->Certificates_DefaultPrivateFiles();
            $this->result['validPublicFilesArray'] = $panel->Certificates_DefaultPublicFiles();
        }

        echo $this->diafan->_tpl->get('main', 'ubrr', $this->result);
    }
}