<?php
/**
 * Формирует данные для формы платежной системы Robokassa
 *
 * @package    DIAFAN.CMS
 * @author     diafan.ru
 * @version    6.0
 * @license    http://www.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2016 OOO «Диафан» (http://www.diafan.ru/)
 */

include realpath(dirname(__FILE__) . '/../_diafan_check.php');

class Payment_ubrr_model extends Diafan
{
    /**
     * Формирует данные для формы платежной системы "УБРиР"
     *
     * @param array $params настройки платежной системы
     * @param array $pay данные о платеже
     * @return void
     */
    public function get($params, $pay)
    {
        include_once(realpath(dirname(__FILE__) . '/../_load_ubrr_classes.php'));

        $connector = new \UBRIR\Diafan\DiafanConnector($this->diafan);
        $paymentControl = new \UBRIR\Diafan\GatewayPayment($connector);

        $paymentId = $pay["id"];
        $orderId = $paymentControl->GetOrderIdByPayId($paymentId);
        $orderAmount = $pay["summ"];
        $approveCallbackURL = $paymentControl->GetDefaultCallbackLink();

        $responseData = $paymentControl->SetupAndPrepareToPay($orderId, $orderAmount, $approveCallbackURL);
        if ($responseData->isSuccess()) {
            $TWPG_OrderId = $responseData->GetTWPG_OrderId();
            $SessionId = $responseData->GetSessionId();

            $paymentControl->SaveTWPGOrder($orderId, $TWPG_OrderId, $SessionId, $paymentId);

            //Уводим пользователя платить
            $PaymentURL = $responseData->GetPaymentUrl($TWPG_OrderId, $SessionId);
            $this->diafan->redirect($PaymentURL);
        } else {
            //Не удалось подготовиться как следует
        }
        exit;
    }
}