<?php

namespace UBRIR\Diafan;

class DiafanSQLHelper
{
    private $dbPrefix;

    public function __construct()
    {
        if (defined('DB_PREFIX')) {
            $this->dbPrefix = DB_PREFIX;
        } else {
            $this->dbPrefix = 'diafan_'; //default value
        }
    }

    public function GetOrderDataByUBRIROrderID($TWPG_OrderId)
    {
        $diafanSQL = 'SELECT * FROM `' . $this->dbPrefix . 'ubrr_twpg_orders` WHERE `twpg_order_id`=' . $TWPG_OrderId;
        return $diafanSQL;

    }

    public function GetPaymentModuleParams()
    {
        return "SELECT payment, [TEXT], params FROM {payment} WHERE payment=%s LIMIT 1";
    }

    public function GetOrderDataByShopOrderID($payId)
    {
        return 'SELECT * FROM `' . $this->dbPrefix . 'ubrr_twpg_orders` WHERE `diafan_pay_id`=' . $payId;
    }

    public function SaveTWPGOrder($orderId, $TWPG_OrderId, $SessionId, $payId)
    {
        $diafanSQL = "INSERT INTO `" . $this->dbPrefix . "ubrr_twpg_orders` (`diafan_order_id`, `diafan_pay_id`, `twpg_order_id`, `twpg_session_id`) 
                VALUES ('" . $orderId . "','" . $payId . "', '" . $TWPG_OrderId . "', '" . $SessionId . "') 
                ON DUPLICATE KEY UPDATE `diafan_order_id`='" . $orderId . "', `diafan_pay_id`='" . $payId . "', `twpg_order_id`='" . $TWPG_OrderId . "', `twpg_session_id`='" . $SessionId . "'";

        return $diafanSQL;
    }

    public function GetTWPGDataByPayId($payId)
    {
        return 'SELECT * FROM `' . $this->dbPrefix . 'ubrr_twpg_orders` WHERE `diafan_pay_id`=' . $payId;
    }

    public function GetOrdersList()
    {
        return "SELECT * FROM {ubrr_twpg_orders} ORDER BY twpg_order_id DESC";
    }

    public function DeleteModuleConfig()
    {
        return "DELETE FROM {config} WHERE module_name='%s' AND site_id=%d AND (lang_id=" . _LANG . " OR lang_id=0)";
    }

    public function GetConfigFormDB($paramName, $siteId = 0, $langId = 0)
    {
        $moduleName = 'ubrr';

        return "SELECT id, name, value FROM {config} WHERE module_name='$moduleName' AND name='$paramName' AND site_id=%d AND lang_id=$langId";
    }

    public function UpdateModuleConfigValue($paramName, $siteId = 0, $langId = 0)
    {
        $moduleName = 'ubrr';

        return "UPDATE {config} SET value='%s' WHERE module_name='$moduleName' AND name='$paramName' AND site_id=%d AND lang_id=$langId";
    }

    public function AddModuleConfigValue($paramName, $siteId = 0, $langId = 0)
    {
        $moduleName = 'ubrr';

        return "INSERT INTO {config} (name, value, module_name, lang_id, site_id) VALUES ('$paramName', '%s', '$moduleName', '$langId', '$siteId')";
    }

    public function GetOrderIdByPayId()
    {
        return "SELECT id AS pay_id, element_id AS order_id FROM {payment_history} WHERE id=%d LIMIT 1";
    }

}

