<?php

namespace UBRIR\Diafan;

use UBRIR\GatewayInteractionPanel;

class GatewayPayment extends GatewayInteractionPanel
{
    private $_diafanConnector;

    function __construct(DiafanConnector $connector)
    {
        $this->_diafanConnector = $connector;

        parent::__construct($connector);
    }

    function __destruct()
    {
        parent::__destruct();
    }

    public function GetURLHostPrefix()
    {
        return $this->GetCMSConnector()->GetDefaultContinueLink();
    }

    public function GetTWPGDataByPayId($payId)
    {
        return $this->_diafanConnector->GetTWPGDataByPayId($payId);
    }

    public function GetDefaultCallbackLink()
    {
        $protocol = isset($_SERVER["HTTPS"]) ? 'https' : 'http';
        $host = $_SERVER['SERVER_NAME'];
        $callbackURL = $protocol . '://' . $host . '/payment/get/ubrr/callback';

        return $callbackURL;
    }

    public function GetOrderIdByPayId($payId)
    {
        $payId = intval($payId);
        if ($payId > 0) {
            $sqlHelper = new DiafanSQLHelper();

            $sql = $sqlHelper->GetOrderIdByPayId();
            $paymentHistoryRow = \DB::query_fetch_array($sql, $payId);
            if ($paymentHistoryRow !== null) {
                $orderId = intval($paymentHistoryRow['order_id']);
                return $orderId;
            }
        }

        return false;
    }
}